# WOK
TKWOK
MS

# MS_HSequenceOfExternMet Class Reference

`#include <MS_HSequenceOfExternMet.hxx>`

## Public Member Functions

| MS_HSequenceOfExternMet ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(MS_ExternMet)&anItem)
Standard_EXPORT void | Append (const Handle(MS_HSequenceOfExternMet)&aSequence)
Standard_EXPORT void | Prepend (const Handle(MS_ExternMet)&anItem)
Standard_EXPORT void | Prepend (const Handle(MS_HSequenceOfExternMet)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MS_ExternMet)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MS_HSequenceOfExternMet)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MS_ExternMet)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MS_HSequenceOfExternMet)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_MS_HSequenceOfExternMet | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(MS_ExternMet)&anItem)
Standard_EXPORT const Handle_MS_ExternMet & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_MS_ExternMet & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const MS_SequenceOfExternMet & | Sequence () const
MS_SequenceOfExternMet & | ChangeSequence ()
Standard_EXPORT Handle_MS_HSequenceOfExternMet | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

MS_SequenceOfExternMet | mySequence

## Constructor & Destructor Documentation

MS_HSequenceOfExternMet::MS_HSequenceOfExternMet | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void MS_HSequenceOfExternMet::Append | ( | const Handle(MS_HSequenceOfExternMet)& | aSequence | ) |

Standard_EXPORT void MS_HSequenceOfExternMet::Append | ( | const Handle(MS_ExternMet)& | anItem | ) |

MS_SequenceOfExternMet& MS_HSequenceOfExternMet::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_MS_ExternMet& MS_HSequenceOfExternMet::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MS_HSequenceOfExternMet::Clear | ( |  | ) |

Standard_EXPORT void MS_HSequenceOfExternMet::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const MS_HSequenceOfExternMet::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void MS_HSequenceOfExternMet::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_HSequenceOfExternMet)& | aSequence
| ) |

Standard_EXPORT void MS_HSequenceOfExternMet::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_ExternMet)& | anItem
| ) |

Standard_EXPORT void MS_HSequenceOfExternMet::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_HSequenceOfExternMet)& | aSequence
| ) |

Standard_EXPORT void MS_HSequenceOfExternMet::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_ExternMet)& | anItem
| ) |

Standard_Boolean MS_HSequenceOfExternMet::IsEmpty | ( |  | ) | const

Standard_Integer MS_HSequenceOfExternMet::Length | ( |  | ) | const

Standard_EXPORT void MS_HSequenceOfExternMet::Prepend | ( | const Handle(MS_HSequenceOfExternMet)& | aSequence | ) |

Standard_EXPORT void MS_HSequenceOfExternMet::Prepend | ( | const Handle(MS_ExternMet)& | anItem | ) |

Standard_EXPORT void MS_HSequenceOfExternMet::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void MS_HSequenceOfExternMet::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MS_HSequenceOfExternMet::Reverse | ( |  | ) |

const MS_SequenceOfExternMet& MS_HSequenceOfExternMet::Sequence | ( |  | ) | const

Standard_EXPORT void MS_HSequenceOfExternMet::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_ExternMet)& | anItem
| ) |

Standard_EXPORT Handle_MS_HSequenceOfExternMet MS_HSequenceOfExternMet::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_MS_HSequenceOfExternMet MS_HSequenceOfExternMet::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_MS_ExternMet& MS_HSequenceOfExternMet::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

MS_SequenceOfExternMet MS_HSequenceOfExternMet::mySequence `[private]`

The documentation for this class was generated from the following file:

- MS_HSequenceOfExternMet.hxx